# Changelog - ElvUI_mMediaTag
[Eng] - All changes to this project will be documented in this file. The latest changes are at the top.
[Ger] - Alle Änderungen an diesem Projekt werden in dieser Datei dokumentiert. Die neuesten Änderungen stehen ganz oben.

## [ver. 2.87] - 03.09.2022
### Update
- Code Update
- Update Settings for Classic
- Enabled some more functions for Classic
### Added
- New Custom Backdrop (default is disabled)
- New Custom Combat Icons (default is disabled)

## [ver. 2.86.2] - 27.08.2022
### Update
- Bugfix Objective Tracker Colors
- Bugfix Healthmarkers
- Update Tags code
### Added
- New withe Roleicons for Tank, DD, Heal
- New Auto Execute range
- New Show Healthmarkers only in Instance

## [ver. 2.86] - 25.08.2022
### Update
- Bugfix Objective Tracker skin
- Objective Tracker Texture for Bar
### Added
- New Nameplate Healthmarkers for NPC
- New Nameplate Execute Marker

## [ver. 2.85] - 17.08.2022
### Update
- Toc update
### Added
- New Caith UI Textures and Borders thx to Caith
- New PVP Icon
- New Support for Castbar Gardient mode

## [ver. 2.84.1] - 12.08.2022
### Added
- Interrupt on CD API - _G.mMediaTag_interruptinTime or _G.mMediaTag_interruptOnCD

## [ver. 2.84] - 08.08.2022
### Update
- Bugfix Roleicons wrong Icons
### Added
- Gardient mod for Quest progressbar

## [ver. 2.83.1] - 22.07.2022
### Update
- Update Code
- Fix for Classic

## [ver. 2.83] - 21.07.2022
### Update
- Update Roleicons
- removed Season 2 Archivment information from Tooltip
- Bugfix Roleicons, mDockIcon
### Added
- New System Menu Icons
- New Border Texture
- New Textures
- New Textures N38v2 and v3 Thx to Vxt
- Objective Tracker, fixed bug in Custom Dash icon, add Gardient mode for the Headerbar and biger Bar settings, add support for EltreumUI gardientmode custom colors

## [ver. 2.82] - 24.06.2022
### Update
- Update DD Roleicon
- Fixed castbar interrupt colo
### Added
- New Texture

## [ver. 2.81] - 04.06.2022
### Update
- Code change of mFaction:text, :icon tags so ypu can see the originla faction in dungeons

## [ver. 2.80] - 02.06.2022
### Update
- Toc update
### Added
- New Tags mFaction:text, :icon

## [ver. 2.79] - 26.05.2022
### Update
- Bugfix Castbar Interrupr Color
- Code update
- Combattimer fix out of combat
### Added
- New Texture
- New Tags mTargetingPlayers, :raid :party :icons:party

## [ver. 2.78.1] - 13.05.2022
### Update
- Bugfix for Classic and TBC
### Added
- New Texture O13

## [ver. 2.78] - 12.05.2022
### Update
- Bugfix for Classic and TBC

## [ver. 2.77] - 24.04.2022
### Update
- more Role Symbols
- link legion Keystons to Chat
- Option to Enable/Disable Convanent to Chat
- more Textures
### Added
- New Castbar Kick on CD Colors
- New Datatext FPS/MS

## [ver. 2.76] - 05.04.2022
### Update
- Locals
- LFD and Talent Rolicons update
### Added
- New Currency, Cosmic Flux, Timewarped Badge, Cyphers of the First Ones, Conquest
- New Role Symbols

## [ver. 2.75] - 23.02.2022
### Update
- some Bugfixes and Locals
- Toc Update

## [ver. 2.74] - 02.01.2022
### Update
- Bugfix - Affixs in the Tooltip
### Added
- New Datatext, Combattime, CoordinatesX and Y

## [ver. 2.73] - 19.11.2021
### Added
- Tooltip Icon for Classic and TBC

## [ver. 2.72] - 16.11.2021
### Update
- All in One Version for Retail/ Classic/ TBC
- a few small bug fixes
-in Classic and TBC have now also changed the texture names

## [ver. 2.71] - 010.11.2021
### Update
- Bugfix for Dock Icon Guild

## [ver. 2.70] - 04.11.2021
### Added
- Dock LFD shows Instance Dufficulty if in Group
- Dock Talent Icon fix
### Update
- TOC Update for 9.1.5

## [ver. 2.69] - 17.10.2021
### Added
- New Texture
- New Tags mRoleIcon
### Update
- Update for Chat Background strings
- Code cleanup

## [ver. 2.68] - 15.08.2021
### Added
- Currency Dataext Icone postition is now dependent on the text justify
- NEW Texture Names and many new Textures, Sorry for new Names, but so it is clearer and easier to see what belongs together
- New Tags mQuestIcon, mPowerPercent
- New Key words for tell Covenant in Chat !cov, !covenant
- New Option for Currencys if zero
### Update
- Removed MaUI Profile Support, ther will be an extra Addon
- Removed Tags with no need: mClass:space-left, mClass:space-right, mClass:short-space-left, mClass:short-space-right

## [ver. 2.67] - 06.08.2021
### Added
- min ElvUI Ver. 12.41
### Update
- Update Tags for ElvUI Ver. 12.40
- ObjectivTracker update

## [ver. 2.66] - 31.07.2021
### Added
- NEW Mythic+ Score for Dock LFD, Systemmenu and Dungeon Datatext
- New Dock Icon Volume control
- New Dock Sytemmenu can control Volume
. New Dock Icontextures
### Update
- ObjectivTracker Skin for Dungeons and Text shadow Added

## [ver. 2.65] - 18.07.2021
### Added
- New KSM Archivment included
- New Details Profile
- New Statusbat Textures and some darker one
### Update
- Rework of the ObjectivTracker Skin to prevent Bugs
- Update for Addon Profiles
- Localisation

## [ver. 2.64] - 06.07.2021
### Added
- New Tags mTargetMarkOne, mTargetMarkeTwo, mStatus:icon:class
- New Statusicon Textures
- Dock Icon LFD Tool can show now Call to Arms
- New Currency Tower Knowledge
### Update
- Localisation

## [ver. 2.631] - 04.07.2021
### Update
- BugFix Questtracker

## [ver. 2.63] - 04.07.2021
### Added
- new Options to Set Custom Textcolore for mFrinds & mGuild dock Icons
- new SL Currencys
### Update
- Fix mMediaTag Logo from Classic to Retail :)
- Fix mDocks Icons Menulist
- Some Code changes

## [ver. 2.62] - 17.06.2021
### Added
- new Options to select the symbols for Tag mStatus:icon
- new Textures
- new Chatbagrounds
### Update
- Bugfix ObjectivTracker Quest percent Text

## [ver. 2.61] - 09.06.2021
### Added
- new Tags mName:status and mName:statusicon
### Update
- Update Localisation

## [ver. 2.60] - 30.05.2021
### Added
- new Tag mDeathCount, mDeathCount:icon, mDeathCount:color, mDeathCount:hide:icon
- new Profile Import/ Export function
### Update
- Update Profiles to MaUI v4
- Change of Tag mStatustimer it Returns now only the Time for the Status eg afk or death
- Bugfix Settings (Professions ans System Menu)
- Remove of Tags mHealth:timer, mHealth:short-timer, mHealth:NoAFK-timer, mHealth:short-NoAFK-timer, 
  because of code changes, you can build the same function with Example: [mHealth][mStatustimer].

## [ver. 2.59] - 14.05.2021
### Added
- new Tag mDeathCount, shows how often someone has died
### Update
- Bugfix Tag mStatustimer
- ObjectivTracker Skin Updates
- mTalent Tooltip fix

## [ver. 2.58] - 14.05.2021
### Added
- new Statusbar Textures
- new Tags mDeath Skull Icon if Unit is dead and Status icons
- new Roll and Chatmenu Tool
### Update
- Bugfix for ObjectivTracker Texthight
- Bugfix for ObjectivTracker Settings
- Bugfix Great Vault Info

## [ver. 2.57] - 20.04.2021
### Added
- Only Text function for Dockicons mDurability and mItemLevel
### Update
- Bugfix to prevent errors with Plater

## [ver. 2.56] - 19.04.2021
### Added
- 8 new Dock Icontextures
- New Custom Color options for Dockicons
### Update
- Custom hover Size for Dockicons
- Dock Textures Size optimized for small icon sizes

## [ver. 2.55] - 16.04.2021
### Added
- Colorful Icons for Profession, Systemmenu and Dungeon Datatexts
- Textures changed for mMediaTag 15, 15a, 16, 17, 18, , 19, 23, 24
### Update
- Bugfix Questracke Texthight
- Bugfix for Dock isclicked function
- Bugfix for Dock Notification Icon on LFDTool

## [ver. 2.54] - 09.04.2021
### Added
- New Dock Icon Calendar
- Now you can Creat 3 Example Dockbars
- Icons for Profession, Systemmenu and Dungeon Datatexts
### Update
- Dock Textcolore code cahnges

## [ver. 2.53] - 04.04.2021
### Added
- New Dock Icon for Professions
- New Dock Icon Textures
- New Dock Icons auto Fontsize
- New Functions for Dock Talent Icon
### Update
- Dropdown Menu
- System Menu 
- Profession Menu
- Dock Notification Bugfix
- Dock Icon Textures are sortet in groups now

## [ver. 2.52] - 24.03.2021
### Update
- Dropdown Menu Position
- Update Addon Profile Setup

## [ver. 2.511] - 20.03.2021
### Update
- Combat Lockdown for DockIcons

## [ver. 2.51] - 20.03.2021
### Added
- New Valor Currency Datatext
- 4 new Dock Icons, FPS/ MS, Frinds, Durability, ItemLevel
- 20 new Dock Icon Textures 139 - 151
### Update
- Code Changes for Dock Icons
- Dock Icons extra Text Position for FPS/MS/ILVL
- Dock Icon - Guild, Tooltip and Menu
- Dock Icon - Character, can show Durability or ItemLevel
- Dock Icon - Main Menu, can show FPS or MS
- Activate from Opjectivtracker Skin aktivates also ElvUI Objective Skin

## [ver. 2.50] - 10.03.2021
### Added
- Objective Tracker Skin
### Update
- Dock LFD Tool Open/Close Great Vault window
- Update for Patch 9.0.5

## [ver. 2.49] - 25.02.2021
### Added
- 6 new Statusbar Textures
### Update
- Chat Baground 10 path fixed
- Code Cleanup
- Fix for Spellbook Cast Bug

## [ver. 2.48] - 12.02.2021
### Added
- New Tag [mTarget] shows Abbrev Target name
### Update
- Update System Menu Tolltip
- some code changes
- Update for All Profiles, short Number and some Namplate improvements

## [ver. 2.47] - 04.02.2021
### Added
- short Tag for all mHealth variants
### Update
- Fix for Great Vault Window
- fast fix for Tags Statustimer

## [ver. 2.46] - 03.02.2021
### Added
- New Tag mHealth:short
### Update
- Fix for Great Vault info on the Dockicon LFD Tool

## [ver. 2.45] - 30.01.2021
### Added
- Dock Dungeon - Great Vault info
### Update
- Keyston to Chat code changes
- Tooltip Spellicon now works

## [ver. 2.44] - 22.01.2021
### Added
- Dock Dungeon - new Text for Instance Difficulty
### Update
- Localisation
- Keyston to Chat fix v2

## [ver. 2.43] - 22.01.2021
### Update
- Keyston fixed BUG

## [ver. 2.42] - 22.01.2021
### Added
-
### Update
- Localisation
- Keyston to Chat is now a standalone Modul

## [ver. 2.41] - 22.01.2021
### Added
- Dock Dungeon gets new functions: Send your key to the Chat, Show Weekly Affixes in the Tolltip, Show Instance Options in the Tolltip, Show your Keyston in the Tolltip
- Color Settings for Dock Tooltip
### Update
-

## [ver. 2.40] - 18.01.2021
### Added
- Added import function from ElvUI for the MaUI v3 profiles
- New Datatext Icons, to build your owen Dock Bar
### Update
- Some Code changes
- Update for Saved Affixes
- MaUI Profile Update

## [ver. 2.30] - 26.12.2020
### Added
- Global Profile Settings
### Update
- Update Addon Profiles
- Update Heal Profile
- Update Namplate Settings
- Show Changelog if ElvUI installation is complete

## [ver. 2.20] - 25.12.2020
### Added
- Shadowland Currencys, Anima, Stygia, Soul Ash, Infused Ruby, Greatful Offering
- Add Weakaura Strings for Interrupt and BR/ BL Tracker
### Update
- Affixes are saved for one day to prevent opening of the LFG window
- Tank/ DD Profile Update - Shadowland Currencys & some fixes
- Error in the profile settings fixed 

## [ver. 2.10] - 09.12.2020
### Added
- DoubleLine for Menu
- Achievement Names
- Achievement Icon
### Update
- Localization
- Fix Mytic Plus Archivment

## [ver. 2.00] - 29.11.2020
### Added
- Profile Import Strings
- Dungeon Achievement
- Weakauro Profile (Comming Soon)
### Update
- New Changelog Window
- Settings Menu Update
- Mythic + Achievement

## [ver. 1.91] - 19.11.2020
### Added
- Settings Menu Addons changes
- New Settings add GIT URL
- Toc Update

## [ver. 1.90] - 10.11.2020
### Added
- Versions Check upgrade Retail/ Classic check
- Settings update
- Custom colors for mMediTags Tags